Bug 1564672 - SELinux is preventing snapd from 'read' accesses on the directory snap.
Summary: SELinux is preventing snapd from 'read' accesses on the directory snap.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6bd20c36aab6cf206a6bc2aca34...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 20:33 UTC by Mohammad H. Nazari
Modified: 2018-07-01 22:36 UTC (History)
9 users (show)

Fixed In Version: snapd-2.33.1-1.fc27 snapd-2.33.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-01 22:21:41 UTC
Type: ---


Attachments (Terms of Use)

Description Mohammad H. Nazari 2018-04-06 20:33:36 UTC
Description of problem:
SELinux is preventing snapd from 'read' accesses on the directory snap.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that snapd should be allowed read access on the snap directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'snapd' --raw | audit2allow -M my-snapd
# semodule -X 300 -i my-snapd.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                snap [ dir ]
Source                        snapd
Source Path                   snapd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.29.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.15.13-300.fc27.x86_64 #1 SMP Mon
                              Mar 26 19:06:57 UTC 2018 x86_64 x86_64
Alert Count                   4
First Seen                    2018-03-31 01:52:05 +0430
Last Seen                     2018-04-06 01:02:32 +0430
Local ID                      19cb8ab0-70bb-4c56-96d5-f3849b0164f1

Raw Audit Messages
type=AVC msg=audit(1522960352.996:426): avc:  denied  { read } for  pid=2022 comm="snapd" name="snap" dev="sda7" ino=14943032 scontext=system_u:system_r:snappy_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir permissive=1


Hash: snapd,snappy_t,user_home_t,dir,read

Version-Release number of selected component:
selinux-policy-3.13.1-283.29.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.13-300.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-06-23 22:31:13 UTC
snapd-2.33.1-1.fc27 snapd-glib-1.41-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1330056acb

Comment 2 Fedora Update System 2018-06-23 22:31:40 UTC
snapd-2.33.1-1.fc28 snapd-glib-1.41-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-942eec912c

Comment 3 Fedora Update System 2018-07-01 22:21:41 UTC
snapd-2.33.1-1.fc27, snapd-glib-1.41-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2018-07-01 22:36:24 UTC
snapd-2.33.1-1.fc28, snapd-glib-1.41-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.